<?php
/**
 * Tax Rates
 *
 * Returns an array of standard tax rates.
 *
 * @package Invoicing\data
 * @version 1.0.19
 */

defined( 'ABSPATH' ) || exit;

return array(

	array(
		'country'      => 'AT', // Austria
		'state'        => '',
		'global'       => true,
		'rate'         => 20,
		'reduced_rate' => 13,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'BE', // Belgium
		'state'        => '',
		'global'       => true,
		'rate'         => 21,
		'reduced_rate' => 12,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'BG', // Bulgaria
		'state'        => '',
		'global'       => true,
		'rate'         => 20,
		'reduced_rate' => 9,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'HR', // Croatia
		'state'        => '',
		'global'       => true,
		'rate'         => 25,
		'reduced_rate' => 13,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'CY', // Cyprus
		'state'        => '',
		'global'       => true,
		'rate'         => 19,
		'reduced_rate' => 9,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'CZ', // Czech Republic
		'state'        => '',
		'global'       => true,
		'rate'         => 21,
		'reduced_rate' => 15,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'DK', // Denmark
		'state'        => '',
		'global'       => true,
		'rate'         => 25,
		'reduced_rate' => 0,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'EE', // Estonia
		'state'        => '',
		'global'       => true,
		'rate'         => 20,
		'reduced_rate' => 9,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'FI', // Finland
		'state'        => '',
		'global'       => true,
		'rate'         => 24,
		'reduced_rate' => 14,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'FR', // France
		'state'        => '',
		'global'       => true,
		'rate'         => 20,
		'reduced_rate' => 5.5,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'DE', // Germany
		'state'        => '',
		'global'       => true,
		'rate'         => 19,
		'reduced_rate' => 7,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'GR', // Greece
		'state'        => '',
		'global'       => true,
		'rate'         => 24,
		'reduced_rate' => 13,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'HU', // Hungary
		'state'        => '',
		'global'       => true,
		'rate'         => 27,
		'reduced_rate' => 18,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'IE', // Ireland
		'state'        => '',
		'global'       => true,
		'rate'         => 23,
		'reduced_rate' => 13.5,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'IT', // Italy
		'state'        => '',
		'global'       => true,
		'rate'         => 22,
		'reduced_rate' => 10,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'LV', // Latvia
		'state'        => '',
		'global'       => true,
		'rate'         => 21,
		'reduced_rate' => 12,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'LT', // Lithuania
		'state'        => '',
		'global'       => true,
		'rate'         => 21,
		'reduced_rate' => 9,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'LU', // Luxembourg
		'state'        => '',
		'global'       => true,
		'rate'         => 17,
		'reduced_rate' => 14,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'MT', // Malta
		'state'        => '',
		'global'       => true,
		'rate'         => 18,
		'reduced_rate' => 7,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'MC', // Monaco
		'state'        => '',
		'global'       => true,
		'rate'         => 20,
		'reduced_rate' => 10,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'NL', // Netherlands
		'state'        => '',
		'global'       => true,
		'rate'         => 21,
		'reduced_rate' => 9,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'PL', // Poland
		'state'        => '',
		'global'       => true,
		'rate'         => 23,
		'reduced_rate' => 8,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'PT', // Portugal
		'state'        => '',
		'global'       => true,
		'rate'         => 23,
		'reduced_rate' => 13,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'RO', // Romania
		'state'        => '',
		'global'       => true,
		'rate'         => 19,
		'reduced_rate' => 9,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'SK', // Slovakia
		'state'        => '',
		'global'       => true,
		'rate'         => 20,
		'reduced_rate' => 10,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'SI', // Slovenia
		'state'        => '',
		'global'       => true,
		'rate'         => 22,
		'reduced_rate' => 9.5,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'ES', // Spain
		'state'        => '',
		'global'       => true,
		'rate'         => 21,
		'reduced_rate' => 10,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'SE', // Sweden
		'state'        => '',
		'global'       => true,
		'rate'         => 25,
		'reduced_rate' => 12,
		'name'         => __( 'VAT', 'invoicing' ),
	),

	array(
		'country'      => 'GB', // UK
		'state'        => '',
		'global'       => true,
		'rate'         => 20,
		'reduced_rate' => 5,
		'name'         => __( 'VAT', 'invoicing' ),
	),

);
